; PlatformIO Project Configuration File
;
;   Build options: build flags, source filter
;   Upload options: custom upload port, speed and extra flags
;   Library options: dependencies, extra library storages
;   Advanced options: extra scripting
;
; Please visit documentation for the other options and examples
; https://docs.platformio.org/page/projectconf.html

[env:esp01_1m]
platform = espressif8266
board = nodemcu                            ; To allow Auto Programmers!   esp01_1m board selection does not support this!!!!
board_build.ldscript = eagle.flash.1m.ld   ; NO OTA
framework = arduino
lib_extra_dirs = ~/Documents/Arduino/libraries
build_flags = 
	;-DDEBUG_ESP_PORT=Serial
	-DCONFIG_PATH=src/configuration.json
	-DREBUILD_HTML 
	-DREBUILD_CONFIG
upload_port = COM11
monitor_speed = 115200
